from django_filters import rest_framework as filters

from greg.models import Person, PersonRole, PersonIdentity


class PersonRoleFilter(filters.FilterSet):
    type = filters.BaseInFilter(field_name="role__type", lookup_expr="in")

    class Meta:
        model = PersonRole
        fields = ["type"]


class PersonFilter(filters.FilterSet):
    verified = filters.BooleanFilter(
        field_name="person__verified_by_id", lookup_expr="isnull", exclude=True
    )

    class Meta:
        model = Person
        fields = ["first_name", "last_name", "verified"]


class PersonIdentityFilter(filters.FilterSet):
    class Meta:
        model = PersonIdentity
        fields = ["type", "verified_by_id"]
