from rest_framework import serializers

from greg.models import Person, PersonRole, Role, PersonIdentity


class PersonSerializer(serializers.ModelSerializer):
    class Meta:
        model = Person
        fields = [
            "id",
            "first_name",
            "last_name",
            "date_of_birth",
            "email",
            "mobile_phone",
        ]


class PersonRoleSerializer(serializers.ModelSerializer):
    role = serializers.SlugRelatedField(queryset=Role.objects.all(), slug_field="type")

    class Meta:
        model = PersonRole
        fields = [
            "id",
            "start_date",
            "end_date",
            "registered_by",
            "unit",
            "created",
            "updated",
            "role",
        ]


class PersonIdentitySerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonIdentity
        fields = "__all__"
