from rest_framework import viewsets

from greg.api.pagination import PrimaryKeyCursorPagination
from greg.api.serializers.consent import ConsentSerializer
from greg.models import Consent


class ConsentViewSet(viewsets.ModelViewSet):
    """Consent API"""

    queryset = Consent.objects.all().order_by("id")
    serializer_class = ConsentSerializer
    pagination_class = PrimaryKeyCursorPagination
    lookup_field = "id"
