import pytest

from rest_framework.reverse import reverse


@pytest.mark.django_db
def test_sponsor_guest_list(client, sponsor_guy, person_foo_role):
    url = reverse("sponsor_guests-list", kwargs={"sponsor_id": sponsor_guy.id})
    guests_for_sponsor = client.get(url).json()["results"]

    assert len(guests_for_sponsor) == 1
    assert guests_for_sponsor[0]["id"] == person_foo_role.person_id


@pytest.mark.django_db
def test_sponsor_empty_guest_list(client, sponsor_guy):
    url = reverse("sponsor_guests-list", kwargs={"sponsor_id": sponsor_guy.id})
    guests_for_sponsor = client.get(url).json()["results"]

    assert len(guests_for_sponsor) == 0
